samsung-mdc(1)

NAME
Samsung-MDC - Samsung Multiple Display Control Protocol

SYNOPSIS
samsung-mdc [OPTIONS] TARGET COMMAND [ARGS]...

Try 'samsung-mdc --help COMMAND' for help on individual commands.

TARGET may be:

•   DISPLAY_ID@IP[:PORT]
    (default port: 1515, example: 0@192.168.0.10:1515)

•   FILENAME with target list, separated by newline.

Commands run asynchronously, so the order of results may differ when working with multiple targets.

To connect via serial port, use:

•   DISPLAY_ID@PORT_NAME for Windows (example: 1@COM1)

•   DISPLAY_ID@PORT_PATH for Linux (example: 1@/dev/ttyUSB0).

Samsung-MDC tries to determine the connection mode from the port name, but you may want to specify the mode using --mode.

DESCRIPTION

Samsung-MDC is an implementation of the Samsung Multiple Display Control Protocol using python and asyncio.

Samsung-MDC allows users to control compatible Samsung displays through the built-in RS-232C or Ethernet interface.

  Command-line options

--version
    Show program version and exit.

-v, --verbose
    Enable verbose output.

-m, --mode [auto|tcp|serial]
    Connection mode (default: auto)

-p, --pin INTEGER
    4-digit PIN for secure TLS connection. If a PIN is provided, "Secured Protocol" must be enabled on the remote device.

-t, --timeout FLOAT
    Read/Write/Connect timeout in seconds (default: 5).
    Connect can be overridden with a separate option.

--connect-timeout FLOAT
    Connect timeout in seconds.

-h, --help
    Show this message and exit.

OPTIONS

status
    (POWER_STATE VOLUME MUTE_STATE INPUT_SOURCE_STATE PICTURE_ASPECT_STATE N_TIME_NF F_TIME_NF)

video
    (CONTRAST BRIGHTNESS SHARPNESS COLOR TINT COLOR_TONE_STATE COLOR_TEMPERATURE _IGNORE)

rgb (CONTRAST BRIGHTNESS COLOR_TONE_STATE COLOR_TEMPERATURE _IGNORE RED_GAIN GREEN_GAIN BLUE_GAIN)

serial_number
    (SERIAL_NUMBER)

error_status
    (LAMP_ERROR_STATE TEMPERATURE_ERROR_STATE BRIGHTNESS_SENSOR_ERROR_STATE INPUT_SOURCE_ERROR_STATE TEMPERATURE FAN_ERROR_STATE)

software_version
    (SOFTWARE_VERSION)

model_number
    (MODEL_SPECIES MODEL_CODE TV_SUPPORT)

power
    [POWER_STATE]

volume
    [VOLUME]

mute
    [MUTE_STATE]

input_source
    [INPUT_SOURCE_STATE]

picture_aspect
    [PICTURE_ASPECT_STATE]

screen_mode
    [SCREEN_MODE_STATE]

screen_size
    (INCHES)

network_configuration
    [IP_ADDRESS SUBNET_MASK GATEWAY_ADDRESS DNS_SERVER_ADDRESS]

network_mode
    [NETWORK_MODE_STATE]

network_ap_config
    SSID PASSWORD

weekly_restart
    [WEEKDAY TIME]

magicinfo_channel
    CHANNEL_NUMBER

magicinfo_server
    [MAGICINFO_SERVER_URL]

magicinfo_content_orientation
    [ORIENTATION_MODE_STATE]

mdc_connection
    [MDC_CONNECTION_TYPE]

contrast
    [CONTRAST]

brightness
    [BRIGHTNESS]

sharpness
    [SHARPNESS]

color
    [COLOR]

tint
    [TINT]

h_position
    H_POSITION_MOVE_TO

v_position
    V_POSITION_MOVE_TO

auto_power
    [AUTO_POWER_STATE]

clear_menu

ir_state
    [IR_STATE]

rgb_contrast
    [CONTRAST]

rgb_brightness
    [BRIGHTNESS]

auto_adjustment_on

color_tone
    [COLOR_TONE_STATE]

color_temperature
    [HECTO_KELVIN]

standby
    [STANDBY_STATE]

auto_lamp
    [MAX_TIME MAX_LAMP_VALUE MIN_TIME MIN_LAMP_VALUE]

manual_lamp
    [LAMP_VALUE]

inverse
    [INVERSE_STATE]

video_wall_mode
    [VIDEO_WALL_MODE]

safety_lock
    [LOCK_STATE]

panel_lock
    [LOCK_STATE]

channel_change
    CHANGE_TO

volume_change
    CHANGE_TO

ticker
    [ON_OFF START_TIME END_TIME POS_HORIZ POS_VERTI MOTION_ON_OFF MOTION_DIR MOTION_SPEED FONT_SIZE FOREGROUND_COLOR BACKGROUND_COLOR FOREGROUND_OPACITY BACKGROUND_OPACITY MESSAGE]

device_name
    (DEVICE_NAME)

osd [OSD_ENABLED]

picture_mode
    [PICTURE_MODE_STATE]

sound_mode
    [SOUND_MODE_STATE]

all_keys_lock
    [LOCK_STATE]

panel_on_time
    (MIN10)

video_wall_state
    [VIDEO_WALL_STATE]

video_wall_model
    [MODEL SERIAL]

model_name
    (MODEL_NAME)

energy_saving
    [ENERGY_SAVING_STATE]

reset
    RESET_TARGET

osd_type
    [OSD_TYPE OSD_ENABLED]

timer_13
    TIMER_ID [ON_TIME ON_ENABLED OFF_TIME OFF_ENABLED REPEAT MANUAL_WEEKDAY VOLUME INPUT_SOURCE_STATE HOLIDAY_APPLY]

timer_15
    TIMER_ID [ON_TIME ON_ENABLED OFF_TIME OFF_ENABLED ON_REPEAT ON_MANUAL_WEEKDAY OFF_REPEAT OFF_MANUAL_WEEKDAY VOLUME INPUT_SOURCE_STATE HOLIDAY_APPLY]

clock_m
    [DATETIME]

holiday_set
    HOLIDAY_MANAGE START_MONTH START_DAY END_MONTH END_DAY

holiday_get
    [INDEX]

virtual_remote
    KEY_CODE

network_standby
    [NETWORK_STANDBY_STATE]

dst [DST_STATE START_MONTH START_WEEK START_WEEKDAY START_TIME END_MONTH END_WEEK END_WEEKDAY END_TIME OFFSET]

auto_id_setting
    [AUTO_ID_SETTING_STATE]

display_id
    DISPLAY_ID_STATE

clock_s
    [DATETIME]

launcher_play_via
    [PLAY_VIA_MODE]

launcher_url_address
    [URL_ADDRESS]

osd_menu_orientation
    [ORIENTATION_MODE_STATE]

osd_source_content_orientation
    [ORIENTATION_MODE_STATE]

osd_aspect_ratio
    [ASPECT_RATIO_STATE]

osd_pip_orientation
    [ORIENTATION_MODE_STATE]

osd_menu_size
    [MENU_SIZE_STATE]

auto_source_switch
    [AUTO_SOURCE_SWITCH_STATE]

auto_source
    [PRIMARY_SOURCE_RECOVERY PRIMARY_SOURCE SECONDARY_SOURCE]

panel
    [PANEL_STATE]

screen_mute
    [SCREEN_MUTE_STATUS]

script
    [OPTIONS] SCRIPT_FILE

raw [OPTIONS] COMMAND [DATA]

REPORTING BUGS

Samsung-MDC is maintained on GitHub. Please report all bugs to the issue tracker at https://github.com/vgavro/samsung-mdc/issues